ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package converters
  Definition Classes
    adam
- AlignmentConverter
- DefaultHeaderLines
- VariantContextConverter

o

org.bdgenomics.adam.converters

# DefaultHeaderLines 

###

#### object DefaultHeaderLines

Default set of VCF header lines for INFO and GT format fields supported in ADAM.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultHeaderLines
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  lazy val allHeaderLines: Seq[VCFHeaderLine]

   Default set of VCF header lines for INFO and GT format fields supported in ADAM.

5.  lazy val alleleCount: VCFInfoHeaderLine
6.  lazy val alleleFrequency: VCFInfoHeaderLine
7.  lazy val allelicDepth: VCFFormatHeaderLine
8.  lazy val ancestralAllele: VCFInfoHeaderLine
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  lazy val cigar: VCFInfoHeaderLine
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
12.  lazy val dbSnp: VCFInfoHeaderLine
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  lazy val fisherStrand: VCFFormatHeaderLine
16.  lazy val formatHeaderLines: Seq[VCFFormatHeaderLine]

    Default set of VCF header lines for GT format fields supported in ADAM.

17.  lazy val formatReadDepth: VCFFormatHeaderLine
18.  lazy val forwardReadDepth: VCFInfoHeaderLine
19.  lazy val genotype: VCFFormatHeaderLine
20.  lazy val genotypeFilter: VCFFormatHeaderLine
21.  lazy val genotypeQuality: VCFFormatHeaderLine
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  lazy val hapMap2: VCFInfoHeaderLine
24.  lazy val hapMap3: VCFInfoHeaderLine
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
26.  lazy val infoHeaderLines: Seq[VCFInfoHeaderLine]

    Default set of VCF header lines for INFO fields supported in ADAM.

27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  lazy val mapq0: VCFFormatHeaderLine
29.  lazy val minReadDepth: VCFFormatHeaderLine
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
33.  lazy val phaseQuality: VCFFormatHeaderLine
34.  lazy val phaseSetId: VCFFormatHeaderLine
35.  lazy val phredLikelihoods: VCFFormatHeaderLine
36.  lazy val readDepth: VCFInfoHeaderLine
37.  lazy val reverseReadDepth: VCFInfoHeaderLine
38.  lazy val rmsMapq: VCFFormatHeaderLine
39.  lazy val somatic: VCFInfoHeaderLine
40.  lazy val strandBiasComponents: VCFFormatHeaderLine
41.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
42.  lazy val thousandGenomes: VCFInfoHeaderLine
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  lazy val transcriptEffects: VCFInfoHeaderLine
45.  lazy val validated: VCFInfoHeaderLine
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
48.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from AnyRef

### Inherited from Any

### Ungrouped